Skip to main content
`Ctrl`+`K`

# pandas.Series.view

Series.view(dtype=None)

  Create a new view of the Series.

  Deprecated since version 2.2.0: `Series.view` is deprecated and will be removed in a future version. Use `Series.astype()` as an alternative to change the dtype.

  This function will return a new Series with a view of the same underlying values in memory, optionally reinterpreted with a new data type. The new data type must preserve the same size in bytes as to not cause index misalignment.

  Parameters:
    dtype data type

      Data type object or one of their string representations.

  Returns:
    Series

      A new Series object as a view of the same data in memory.

  See also

  `numpy.ndarray.view`

    Equivalent numpy function to create a new view of the same data in memory.

  Notes

  Series are instantiated with `dtype=float64` by default. While `numpy.ndarray.view()` will return a view with the same data type as the original array, `Series.view()` (without specified dtype) will try using `float64` and may fail if the original data type size in bytes is not the same.

  Examples

  Use `astype` to change the dtype instead.